import React from 'react';
import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';
import PropTypes from 'prop-types';
import i18n from 'i18n';
import { Link } from 'react-router-dom';
import * as home from '../../actions/home';
import * as global from '../../actions/global';
import { Tab, TabBarItem, TabBar } from 'react-weui';
import './index.less';
import MyTab from '../../components/MyTab';
// import { MyTab } from '../../components/MyTab';
@connect(
  state => ({ ...state.home }),
  dispatch => bindActionCreators({ ...home, ...global }, dispatch)
)
export default class Home extends React.Component {
  async componentWillMount() {
    window.HWH5.navTitle({ title: 'Hello World' });
    const {
      homeInfo, dataList, getHomeInfo, getFetchDemo
    } = this.props;
    if (!homeInfo) {
      getHomeInfo().then(data => {
        document.title = data.title;
      });
    }
    if (!dataList || dataList.length === 0) {
      getFetchDemo();
    }
  }

  componentDidMount() { }

  componentWillUnmount() { }

  // 打开新的窗口
  openWebview(url) {
    window.HWH5.openWebview({ uri: url });
  }

  render() {
    return (
     
      <div className="App">
         helloworld
      </div>
      
      
    );
  }
}

Home.propTypes = {
  homeInfo: PropTypes.object,
  dataList: PropTypes.array,
  getHomeInfo: PropTypes.func,
  getFetchDemo: PropTypes.func
};
